Bug 221744 - Bluetooth crashes when attempting to Scan for devices.
Bluetooth crashes when attempting to Scan for devices.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 00:08 EST by Nick
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 04:48:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report (11.24 KB, text/plain)
2007-01-07 00:08 EST, Nick
no flags Details

  None (edit)
Description Nick 2007-01-07 00:08:15 EST
Description of problem:
Bluetooth Manager crashed after scanning for new devices.  Now crashes every
time it's started.  Originally it I was attempting to connect a Bluetooth
keyboard.  I'm not sure if it is device specific, the device I was scanning for
was a “Microsoft Keyboard Elite for Bluetooth”

Version-Release number of selected component (if applicable):

Linux 2.6.18.2 #1 SMP Sat Jan 6 19:54:29 CST 2007 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

The Bluetooth Manager will no longer start.  It crashes every time launch it.  I
have NOT rebooted my computer yet.


Steps to Reproduce:
1. Launch Bluetooth Manager
2. Select Scan, attempt to have it find the “Microsoft Keyboard Elite for Bluetooth”
  
Actual results:
Crashes with a request to submit a bug.

Expected results:
Find and communicate with the Bluetooth device

Additional info:

See attached files for dump.
Comment 1 Nick 2007-01-07 00:08:15 EST
Created attachment 144996 [details]
Bug report
Comment 2 Harald Hoyer 2007-01-10 06:31:21 EST
which version of gnome-bluetooth? Did you update?
Comment 3 Nick 2007-01-12 21:36:23 EST
The gui will not open without it crashing, so I can't open Help->About.  If
there is a command line to get the version I will enter it in this bug.

I checked for updates and yum reported it was up to date.

After restarting the program still locks up.
Comment 4 Harald Hoyer 2007-01-15 07:20:51 EST
open a terminal:

$ rpm -q gnome-bluetooth

gives you the information I need. :-)
Comment 5 Nick 2007-01-15 13:46:28 EST
From the commad above:
gnome-bluetooth-0.7.0-10.1
gnome-bluetooth-0.7.0-11.fc6
Comment 6 Harald Hoyer 2007-01-16 06:10:32 EST
wow... two versions installed.. try:

$ rpm -e gnome-bluetooth-0.7.0-10.1
Comment 7 Nick 2007-01-16 09:31:03 EST
That uninstalled the problem program.  However I no longer have "Bluetooth
Manager" and no obvious way to scan, setup, and use new Bluetooth devices.
Comment 8 Ondrej Vasik 2007-06-27 04:48:19 EDT
Gnome-bluetooth-manager was removed from the latest upstream (and Fedora)
versions of gnome-bluetooth package. Was removed from current FC-6 version
too(first version with completely removed gnome-bluetooth-manager is
gnome-bluetooth-0.7.0-11.fc6).
Closing WONTFIX, AFAIK upstream is working on completely new bluetooth manager,
so this old won't be fixed.

Note You need to log in before you can comment on or make changes to this bug.